summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gentoo.org>2020-07-28 20:11:27 -0700
committerMatt Turner <mattst88@gentoo.org>2020-07-28 22:38:15 -0700
commitaef2b204ecdc156fed875b5cb4f2b3ec66095f32 (patch)
treecfdd2e796d93abcbe546e02ffe83076df3cba228 /sys-firmware/sof-firmware
parentnet-irc/irker: ppc64 keyworded (bug #734340) (diff)
downloadgentoo-aef2b204ecdc156fed875b5cb4f2b3ec66095f32.tar.gz
gentoo-aef2b204ecdc156fed875b5cb4f2b3ec66095f32.tar.bz2
gentoo-aef2b204ecdc156fed875b5cb4f2b3ec66095f32.zip
sys-firmware/sof-firmware: Version bump to 1.5.1
Clsoes: https://bugs.gentoo.org/733254 Signed-off-by: Matt Turner <mattst88@gentoo.org>
Diffstat (limited to 'sys-firmware/sof-firmware')
-rw-r--r--sys-firmware/sof-firmware/Manifest1
-rw-r--r--sys-firmware/sof-firmware/sof-firmware-1.5.1.ebuild27
2 files changed, 28 insertions, 0 deletions
diff --git a/sys-firmware/sof-firmware/Manifest b/sys-firmware/sof-firmware/Manifest
index 8500d15d182..8136efa9916 100644
--- a/sys-firmware/sof-firmware/Manifest
+++ b/sys-firmware/sof-firmware/Manifest
@@ -12,3 +12,4 @@ DIST sof-firmware-1.4.2-sof-icl-v1.4.2.ldc 74240 BLAKE2B f2729a3dd3e4b33c7c0fc7e
DIST sof-firmware-1.4.2-sof-icl-v1.4.2.ri 286720 BLAKE2B 1acbfb116be92f6934980ac8ac9d28d603ac623337ad9e1156dffa07e803f609982e25cb50cceb1a00f38900053ba2efde9769ec5a4ce57250b3ad278adff9fb SHA512 3f301ec5b532b130889d7973b3a7b21e14857f6b9b355d5e29339148ead94aef3d6646c809fafe3b3e5ea49a363109e4919cfe1ac4025a0ddf23b670702a1ef2
DIST sof-firmware-1.4.2-sof-imx8.ldc 60848 BLAKE2B a17be83147fa58eb71698e9d7306d918e398097b9935e3a2160056a49b78ef2dcbd01d2984853813b4628e6f2810bf7ab7f5e82b0e5f804c4fd671ed37042b06 SHA512 42c548368de0eee13e95a303ccea051a4909a3e47ee497c4c7ea304778d1518723ccd4ccebdd6588c58990bf3cb18ea310cfa05025e4ba9b9b28faccbff5bb2a
DIST sof-firmware-1.4.2-sof-imx8.ri 115472 BLAKE2B ffb9fabdb388354b409881489594c411cc3c0fcbabb05688585696ad7b15f4a54a3f2786df811217b81cff210088e7e67ef1ae5e54c3e4e7827c69aa32ca5f87 SHA512 86e267cdd8fe835bdab7e082f0e9c527e8283757759c70069af52d4e23440439565380b10011fb746afed13a3fb2f1aadcaf54e45740b08b40a1f5455b57e05b
+DIST sof-firmware-1.5.1.tar.gz 1611811 BLAKE2B 7408ba12f1375cb3d6c20e1654be225e8ab11e8b1471c54bd0a498ed1fad11954c57f68a7e483223117c5469278507b1d05e077420a1f58efb2eb0d2b4e95078 SHA512 0e3273f681dc3c0ee075bfb10e689e7ae8d8c0604f9d849f5bd991793d272e06ce7664a0b5829a9b93993d0576683824ee0ac5f8d1efe0b94a705a3e7ae34903
diff --git a/sys-firmware/sof-firmware/sof-firmware-1.5.1.ebuild b/sys-firmware/sof-firmware/sof-firmware-1.5.1.ebuild
new file mode 100644
index 00000000000..cfd84283ad7
--- /dev/null
+++ b/sys-firmware/sof-firmware/sof-firmware-1.5.1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Sound Open Firmware (SOF) binary files"
+
+HOMEPAGE="https://www.sofproject.org https://github.com/thesofproject/sof https://github.com/thesofproject/sof-bin"
+SRC_URI="https://github.com/thesofproject/sof-bin/archive/stable-v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+S=${WORKDIR}/sof-bin-stable-v${PV}
+
+src_compile() {
+ sed -i -e '1i #!/bin/bash\nset -e' \
+ -e '/^ROOT=/d' \
+ -e "s/^VERSION=.*/VERSION=v${PV}/" go.sh || die
+}
+
+src_install() {
+ mkdir -p ${D}/lib/firmware || die
+ ROOT=${D} ${S}/go.sh || die
+}